#include <iostream>
#include <map>
#include <string>
#include <vector>
#if __cplusplus >= 201703L
#include "tsdb.h"
#endif
#include "tsdb_hf.h"

// 演示如何与 map 结合使用
void test_map() {
    tsdb_hf_cpp::tsdb_entry db;
    std::map<std::string, tsdb_hf_cpp::tsdb_entry_stream> streams;
    // 注意：此语法不可用！
    // streams["test_pts_1"] = db.new_stream("test_pts_1", 1000000000, 1000);
    // auto stm2 = db.new_stream("test_pts_2", 1000000000, 1000);
    // streams["test_pts_2"] = std::move(stm2);
    streams.emplace("test_pts_1", db.new_stream("test_pts_1", 1000000000, 1000));
    auto stm2 = db.new_stream("test_pts_2", 1000000000, 1000);
    streams.insert({"test_pts_2", std::move(stm2)});
    streams.at("test_pts_1").insert_point(1.1);
}

int main() {
    tsdb_hf_cpp::tsdb_entry tsdb;
    if (tsdb) {
        std::cout << "TSDB entry created" << std::endl;
    } else {
        std::cerr << "Failed to create TSDB entry" << std::endl;
        return 1;
    }
}
